## Class Nav

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Frame
                              |
                              +--javax.swing.JFrame
                                    |
                                    +--Gview
                                          |
                                          +--Nav

All Implemented Interfaces:
  javax.accessibility.Accessible, java.util.EventListener, GpickleObserver, java.awt.image.ImageObserver, java.awt.event.KeyListener, java.awt.MenuContainer, java.awt.event.MouseListener, java.awt.event.MouseMotionListener, javax.swing.RootPaneContainer, java.io.Serializable, javax.swing.WindowConstants

public class Nav
extends Gview

Two window nav + zoomed Viewer for PCL and PXL files. Usage: java Nav ../frs96.pxl Adds a smaller navigation window coupled to a Gview window. This allows a small portion of a page to be viewed at high resolution in the Gview window with navigation occuring via the Nav window. Mostly inherits behavior and reflects action on this window and the Gview zoomed window.

Version:
  $Revision: 1552 $
Author:
  Stefan Kemper
See Also:
  Serialized Form

Inner classes inherited from class javax.swing.JFrame
`javax.swing.JFrame.AccessibleJFrame`

Inner classes inherited from class java.awt.Frame
`java.awt.Frame.AccessibleAWTFrame`

Inner classes inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Inner classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent`

Fields inherited from class Gview
`currentPage, debug, desiredRes, drag, enableRTL, lastX, lastY, newX, newY, origH, origRes, origW, origX, origY, pageNumber, pickle, startingRes, totalPageCount, tx, ty, zoomWindowRatio`

Fields inherited from class javax.swing.JFrame
`accessibleContext, EXIT_ON_CLOSE, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`Nav()`

Method Summary
`void` `imageIsReady(java.awt.image.BufferedImage newImage)` low res image is ready, if we are not getting the next page start generation of the high res image
`static void` `main(java.lang.String[] args)` main program
`void` `nextPage()`
`void` `paint(java.awt.Graphics g)` Paint low res image with red zoom box zoom box uses xor realtime drag.
`void` `prevPage()`
`void` `runMain(java.lang.String[] args)` defaults settings for runJob, override for different defaults.
`protected void` `translate(int x, int y)` moves/drags zoomin box and causes regerenation of a new viewport
`protected void` `zoomIn(int x, int y)` pageView gets regenerated at higher resolution, repaint updates zoomin box.
`protected void` `zoomOut(int x, int y)` pageView gets regenerated at lower resolution, repaint updates zoomin box.
`protected void` `zoomToRes(float res)` pageView gets regenerated at requested resolution, repaint updates zoomin box.

Methods inherited from class Gview
`keyPressed, keyReleased, keyTyped, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased, runJob, setPage, setPageCount, translateTo, usage`

Methods inherited from class javax.swing.JFrame
`addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isRootPaneCheckingEnabled, paramString, processKeyEvent, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Frame
`addNotify, finalize, getCursorType, getFrames, getIconImage, getMenuBar, getState, getTitle, isResizable, remove, removeNotify, setCursor, setIconImage, setMenuBar, setResizable, setState, setTitle`

Methods inherited from class java.awt.Window
`addWindowListener, applyResourceBundle, applyResourceBundle, dispose, getFocusOwner, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getOwnedWindows, getOwner, getToolkit, getWarningString, hide, isShowing, pack, postEvent, processEvent, removeWindowListener, setCursor, show, toBack, toFront`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setFont, validate, validateTree`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputMethodRequests, getLocation, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseMotionEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.MenuContainer
`getFont, postEvent`

Constructor Detail

### Nav

    public Nav()

Method Detail

### runMain

    public void runMain(java.lang.String[] args)

  Description copied from class: `Gview`
  defaults settings for runJob, override for different defaults.
  Overrides:
    `runMain` in class `Gview`

### main

    public static void main(java.lang.String[] args)

  main program

### nextPage

    public void nextPage()

  Overrides:
    `nextPage` in class `Gview`

### prevPage

    public void prevPage()

  Overrides:
    `prevPage` in class `Gview`

### imageIsReady

    public void imageIsReady(java.awt.image.BufferedImage newImage)

  low res image is ready, if we are not getting the next page start generation of the high res image
  Overrides:
    `imageIsReady` in class `Gview`

### translate

    protected void translate(int x,
                             int y)

  moves/drags zoomin box and causes regerenation of a new viewport
  Overrides:
    `translate` in class `Gview`

### paint

    public void paint(java.awt.Graphics g)

  Paint low res image with red zoom box zoom box uses xor realtime drag.
  Overrides:
    `paint` in class `Gview`

### zoomIn

    protected void zoomIn(int x,
                          int y)

  pageView gets regenerated at higher resolution, repaint updates zoomin box.
  Overrides:
    `zoomIn` in class `Gview`

### zoomOut

    protected void zoomOut(int x,
                           int y)

  pageView gets regenerated at lower resolution, repaint updates zoomin box.
  Overrides:
    `zoomOut` in class `Gview`

### zoomToRes

    protected void zoomToRes(float res)

  pageView gets regenerated at requested resolution, repaint updates zoomin box.
  Overrides:
    `zoomToRes` in class `Gview`